clear
/* April, 2009 */
/* li_response_do-file */

set matsize 200
set memory 200m
set more off

cd "D:\FDI\FDI-Democracy\qjps\replication data, do and log-files\data"
capture log close
log using li_response.log, replace
use li_resnick.dta, clear

des
sum


tsset ccode year, yearly



************* Choi's Table 1 *************
 xtpcse fdiinflead  dem property2index durable instab chrmwi loggdp loggdppc growth exdev control8 wfdiinflead , pairwise corr(ar1)

***** Model 2 China dummy
** creating a China dummy based on DFBETAs: four most outlying observations
generate china = 1 if ccode == 710 & (year==1995 | year==1994 | year==1993 | year==1992)
replace china = 0 if ~(ccode == 710 & (year==1995 | year==1994 | year==1993 | year==1992))
xtpcse fdiinflead  dem property2index durable instab chrmwi loggdp loggdppc growth exdev control8 wfdiinflead china, pairwise corr(ar1)



***********Quan Li's results*************************************************************

***** table 1 observations included and excluded from Choi's robust regression

rreg fdiinflead dem property2index durable instab chrmwi loggdp loggdppc growth exdev control8 wfdiinflead, genwt(w)
tab country if w==0
tab country if w~=0

tabstat fdiinflead if w==0, by(country)
tabstat fdiinflead if w~=0, by(country)

**table 2 median regression, ols with pcse for two separate samples--those in Choi's robust regression and those out of it

qreg fdiinflead dem property2index durable instab chrmwi loggdp loggdppc growth exdev control8 wfdiinflead 

tab country if e(sample)

xtpcse fdiinflead dem property2index durable instab chrmwi loggdp loggdppc growth exdev control8 wfdiinflead if w~=0, pairwise corr(ar1)

xtpcse fdiinflead dem property2index durable instab chrmwi loggdp loggdppc growth exdev control8 wfdiinflead if w==0, pairwise corr(ar1)

**table 3
**rescale and log y

g fdi=log(fdiinflead+0.288)
sum fdi fdiinflead
corr fdi fdiinflead

rreg fdi dem property2index durable instab chrmwi loggdp loggdppc growth exdev control8 wfdiinflead, genwt(w2)

qreg fdi dem property2index durable instab chrmwi loggdp loggdppc growth exdev control8 wfdiinflead

xtpcse fdi dem property2index durable instab chrmwi loggdp loggdppc growth exdev control8 wfdiinflead, pairwise corr(ar1)

xtpcse fdi dem property2index durable instab chrmwi loggdp loggdppc growth exdev control8 wfdiinflead if w2~=0, pairwise corr(ar1)



****Figure 1 
***flows vs ratio
sum fdiinflead Fvar5
sum fdiinflead Fvar5 if fdiinflead<12


scatter fdiinflead Fvar5, title(Figure 1 Net FDI Inflows vs. FDI/GDP) subtitle("A: Correlation=0.38") xtitle(FDI/GDP) ytitle(Net FDI Inflows) mlabel(country) xline(1.46) yline(1.07) saving(A, replace)
corr fdiinflead Fvar5 

scatter fdiinflead Fvar5 if fdiinflead<12, title("       ") subtitle("B: Correlation=0.50, excluding 1992-1995 for China") ytitle("") xtitle(FDI/GDP) mlabel(country) xline(0.80) yline(1.43) saving(B, replace)
corr fdiinflead Fvar5 if fdiinflead<12

graph combine A.gph B.gph, saving(AB, replace)

list country year fdiinflead Fvar5 if country=="China" 
list country year fdiinflead Fvar5 if country=="Trinidad-Tobago" 


**calculate portion of FDI by weight group
bysort w: egen totalw0=sum(fdiinflead) if w==0
egen totalwn=sum(fdiinflead) if w~=0
egen total=sum(fdiinflead)
g ptotalw0=totalw0*100/total
list country year fdiinflead w totalw0 totalwn total ptotalw0
 
